/*********************************************************************************
 Title	:   LCD FONT library
 Author:    Reiner Muench <muench@behnk.de> 
 Date:	    Oct-1--2002

 Compiler: >->->->->->->->  GCCAVR  <-<-<-<-<-<-<-<-<-<-<-<-<

 Target:    any AVR device

 DESCRIPTION
   all lcds supports 8 user defined charcters
   these are defined as 8x8bit fields (only 5x7 used) and have to transmit 
   to lcd at once

   the characters are stored as code 0x00..0x07 in lcd-controller, but you can
   reach them with code 0x80..0x87 via <lcd_putc(0x80)> 
   or in strings like "hello world! \x86"
   

*********************************************************************************/
#include "include_all.h"


// store user defined character table in rom	(request 64 bytes)

const unsigned char USERFONT[] __attribute__ ((progmem)) = {
//const unsigned char USERFONT[] = {

/*---43210	Chr 0	ASCII 0x00	full power battery */
  ____XXX_,
  ___XXXXX,
  ___XXXXX,
  ___XXXXX,
  ___XXXXX,
  ___XXXXX,
  ___XXXXX,
  ___XXXXX,

/*---43210	Chr 1	ASCII 0x01	half power battery */
  ____XXX_,
  ___XX_XX,
  ___X___X,
  ___X___X,
  ___XXXXX,
  ___XXXXX,
  ___XXXXX,
  ___XXXXX,

/*---43210	Chr 2	ASCII 0x02	empty battery */
  ____XXX_,
  ___XX_XX,
  ___X___X,
  ___X___X,
  ___X___X,
  ___X___X,
  ___X___X,
  ___XXXXX,

/*---43210	Chr 3	ASCII 0x03	house */
  ________,
  _____X__,
  ____X_X_,
  ___X___X,
  ___X___X,
  ___X_X_X,
  ___X_X_X,
  ___XXXXX,

/*---43210	Chr 4	ASCII 0x04	bulb */
  ____XXX_,
  ___X___X,
  ___X___X,
  ____XXX_,
  ____XXX_,
  ____XXX_,
  _____X__,
  ________,

/*---43210	Chr 5	ASCII 0x05	vert. dotted line */
  _____X__,
  ________,
  _____X__,
  ________,
  _____X__,
  ________,
  _____X__,
  ________,

/*---43210	Chr 6	ASCII 0x06	marked */
  ________,
  ________,
  _______X,
  ______X_,
  ___X_X__,
  ____X___,
  ________,
  ________,

/*---43210	Chr 7	ASCII 0x07	diode */
  _____X__,
  _____X__,
  ___XXXXX,
  ____X_X_,
  _____X__,
  ___XXXXX,
  _____X__,
  _____X__	

};


//------------------------------------------------------------------------------
// lcdfont.c