/*********************************************************************************
 Title	:   LCD FONT library
 Author:    Reiner Muench <muench@behnk.de> 
 Date:	    Oct-1--2002

 Compiler: >->->->->->->->  GCCAVR  <-<-<-<-<-<-<-<-<-<-<-<-<


 Target:    any AVR device

 DESCRIPTION
   all lcds supports 8 user defined charcters
   these are defined as 8x8bit fields (only 5x7 used) and have to transmit 
   to lcd at once

   the characters are stored as code 0x00..0x07 in lcd-controller, but you can
   reach them with code 0x80..0x87 via <lcd_putc(0x80)> 
   or in strings like "hello world! \x86"
   

 USAGE
   switch on/off font storage in lcd.h
       

*********************************************************************************/

// 5x7 Font field bit setting

#define ________ 0x00 
#define _______X 0x01 
#define ______X_ 0x02 
#define ______XX 0x03 
#define _____X__ 0x04 
#define _____X_X 0x05 
#define _____XX_ 0x06 
#define _____XXX 0x07 
#define ____X___ 0x08 
#define ____X__X 0x09 
#define ____X_X_ 0x0A 
#define ____X_XX 0x0B 
#define ____XX__ 0x0C 
#define ____XX_X 0x0D 
#define ____XXX_ 0x0E 
#define ____XXXX 0x0F 
#define ___X____ 0x10 
#define ___X___X 0x11 
#define ___X__X_ 0x12 
#define ___X__XX 0x13 
#define ___X_X__ 0x14 
#define ___X_X_X 0x15 
#define ___X_XX_ 0x16 
#define ___X_XXX 0x17 
#define ___XX___ 0x18 
#define ___XX__X 0x19 
#define ___XX_X_ 0x1A 
#define ___XX_XX 0x1B 
#define ___XXX__ 0x1C 
#define ___XXX_X 0x1D 
#define ___XXXX_ 0x1E 
#define ___XXXXX 0x1F 

extern const unsigned char USERFONT[];

// lcdfont.h